## CamelIMAPXSettings

CamelIMAPXSettings

## Functions

gboolean | camel_imapx_settings_get_use_multi_fetch ()
void | camel_imapx_settings_set_use_multi_fetch ()
gboolean | camel_imapx_settings_get_check_all ()
void | camel_imapx_settings_set_check_all ()
gboolean | camel_imapx_settings_get_check_subscribed ()
void | camel_imapx_settings_set_check_subscribed ()
guint | camel_imapx_settings_get_concurrent_connections ()
void | camel_imapx_settings_set_concurrent_connections ()
CamelSortType | camel_imapx_settings_get_fetch_order ()
void | camel_imapx_settings_set_fetch_order ()
gboolean | camel_imapx_settings_get_filter_all ()
void | camel_imapx_settings_set_filter_all ()
gboolean | camel_imapx_settings_get_filter_junk ()
void | camel_imapx_settings_set_filter_junk ()
gboolean | camel_imapx_settings_get_filter_junk_inbox ()
void | camel_imapx_settings_set_filter_junk_inbox ()
const gchar * | camel_imapx_settings_get_namespace ()
gchar * | camel_imapx_settings_dup_namespace ()
void | camel_imapx_settings_set_namespace ()
const gchar * | camel_imapx_settings_get_real_junk_path ()
gchar * | camel_imapx_settings_dup_real_junk_path ()
void | camel_imapx_settings_set_real_junk_path ()
const gchar * | camel_imapx_settings_get_real_trash_path ()
gchar * | camel_imapx_settings_dup_real_trash_path ()
void | camel_imapx_settings_set_real_trash_path ()
const gchar * | camel_imapx_settings_get_shell_command ()
gchar * | camel_imapx_settings_dup_shell_command ()
void | camel_imapx_settings_set_shell_command ()
gboolean | camel_imapx_settings_get_use_idle ()
void | camel_imapx_settings_set_use_idle ()
gboolean | camel_imapx_settings_get_use_namespace ()
void | camel_imapx_settings_set_use_namespace ()
gboolean | camel_imapx_settings_get_ignore_other_users_namespace ()
void | camel_imapx_settings_set_ignore_other_users_namespace ()
gboolean | camel_imapx_settings_get_ignore_shared_folders_namespace ()
void | camel_imapx_settings_set_ignore_shared_folders_namespace ()
gboolean | camel_imapx_settings_get_use_qresync ()
void | camel_imapx_settings_set_use_qresync ()
gboolean | camel_imapx_settings_get_use_real_junk_path ()
void | camel_imapx_settings_set_use_real_junk_path ()
gboolean | camel_imapx_settings_get_use_real_trash_path ()
void | camel_imapx_settings_set_use_real_trash_path ()
gboolean | camel_imapx_settings_get_use_shell_command ()
void | camel_imapx_settings_set_use_shell_command ()
gboolean | camel_imapx_settings_get_use_subscriptions ()
void | camel_imapx_settings_set_use_subscriptions ()
gboolean | camel_imapx_settings_get_full_update_on_metered_network ()
void | camel_imapx_settings_set_full_update_on_metered_network ()
gboolean | camel_imapx_settings_get_send_client_id ()
void | camel_imapx_settings_set_send_client_id ()
gboolean | camel_imapx_settings_get_single_client_mode ()
void | camel_imapx_settings_set_single_client_mode ()

## Properties

gboolean | check-all | Read / Write / Construct
gboolean | check-subscribed | Read / Write / Construct
guint | concurrent-connections | Read / Write / Construct
CamelSortType | fetch-order | Read / Write / Construct
gboolean | filter-all | Read / Write / Construct
gboolean | filter-junk | Read / Write / Construct
gboolean | filter-junk-inbox | Read / Write / Construct
gboolean | full-update-on-metered-network | Read / Write / Construct
gboolean | ignore-other-users-namespace | Read / Write / Construct
gboolean | ignore-shared-folders-namespace | Read / Write / Construct
char * | namespace | Read / Write / Construct
char * | real-junk-path | Read / Write / Construct
char * | real-trash-path | Read / Write / Construct
gboolean | send-client-id | Read / Write / Construct
char * | shell-command | Read / Write / Construct
gboolean | single-client-mode | Read / Write / Construct
gboolean | use-idle | Read / Write / Construct
gboolean | use-multi-fetch | Read / Write / Construct
gboolean | use-namespace | Read / Write / Construct
gboolean | use-qresync | Read / Write / Construct
gboolean | use-real-junk-path | Read / Write / Construct
gboolean | use-real-trash-path | Read / Write / Construct
gboolean | use-shell-command | Read / Write / Construct
gboolean | use-subscriptions | Read / Write / Construct

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelStoreSettings
                ╰── CamelOfflineSettings
                    ╰── CamelIMAPXSettings

## Description

## Functions

### camel_imapx_settings_get_use_multi_fetch ()

    gboolean
    camel_imapx_settings_get_use_multi_fetch
                                   (CamelIMAPXSettings *settings);

Returns whether large messages can be downloaded in chunks. The default is `TRUE`, but some server can be slower when the messages are downloaded in parts, rather than in one call.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether large messages can be downloaded in chunks

Since: 3.20

### camel_imapx_settings_set_use_multi_fetch ()

    void
    camel_imapx_settings_set_use_multi_fetch
                                   (CamelIMAPXSettings *settings,
                                    gboolean use_multi_fetch);

Sets whether can download large messages in chunks.

#### Parameters

settings | a CamelIMAPXSettings |
use_multi_fetch | whether can download large messages in chunks |

Since: 3.20

### camel_imapx_settings_get_check_all ()

    gboolean
    camel_imapx_settings_get_check_all (CamelIMAPXSettings *settings);

Returns whether to check all folders for new messages.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to check all folders for new messages

Since: 3.2

### camel_imapx_settings_set_check_all ()

    void
    camel_imapx_settings_set_check_all (CamelIMAPXSettings *settings,
                                        gboolean check_all);

Sets whether to check all folders for new messages.

#### Parameters

settings | a CamelIMAPXSettings |
check_all | whether to check all folders for new messages |

Since: 3.2

### camel_imapx_settings_get_check_subscribed ()

    gboolean
    camel_imapx_settings_get_check_subscribed
                                   (CamelIMAPXSettings *settings);

Returns whether to check only subscribed folders for new messages. Note that “check-all”, if `TRUE`, overrides this setting.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to check only subscribed folders for new messages

Since: 3.2

### camel_imapx_settings_set_check_subscribed ()

    void
    camel_imapx_settings_set_check_subscribed
                                   (CamelIMAPXSettings *settings,
                                    gboolean check_subscribed);

Sets whether to check only subscribed folders for new messages. Note that “check-all”, if `TRUE`, overrides this setting.

#### Parameters

settings | a CamelIMAPXSettings |
check_subscribed | whether to check only subscribed folders for new messages |

Since: 3.2

### camel_imapx_settings_get_concurrent_connections ()

    guint
    camel_imapx_settings_get_concurrent_connections
                                   (CamelIMAPXSettings *settings);

Returns the number of concurrent network connections to the IMAP server to use for faster command/response processing.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

the number of concurrent connections to use

Since: 3.16

### camel_imapx_settings_set_concurrent_connections ()

    void
    camel_imapx_settings_set_concurrent_connections
                                   (CamelIMAPXSettings *settings,
                                    guint concurrent_connections);

Sets the number of concurrent network connections to the IMAP server to use for faster command/response processing.

The minimum number of connections is 1, the maximum is 7. The `concurrent_connections` value will be clamped to these limits if necessary.

#### Parameters

settings | a CamelIMAPXSettings |
concurrent_connections | the number of concurrent connections to use |

Since: 3.16

### camel_imapx_settings_get_fetch_order ()

    CamelSortType
    camel_imapx_settings_get_fetch_order (CamelIMAPXSettings *settings);

Returns the order in which new messages should be fetched.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

the order in which new messages should be fetched

Since: 3.2

### camel_imapx_settings_set_fetch_order ()

    void
    camel_imapx_settings_set_fetch_order (CamelIMAPXSettings *settings,
                                          CamelSortType fetch_order);

Sets the order in which new messages should be fetched.

#### Parameters

settings | a CamelIMAPXSettings |
fetch_order | the order in which new messages should be fetched |

Since: 3.2

### camel_imapx_settings_get_filter_all ()

    gboolean
    camel_imapx_settings_get_filter_all (CamelIMAPXSettings *settings);

Returns whether apply filters in all folders.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to apply filters in all folders

Since: 3.4

### camel_imapx_settings_set_filter_all ()

    void
    camel_imapx_settings_set_filter_all (CamelIMAPXSettings *settings,
                                         gboolean filter_all);

Sets whether to apply filters in all folders.

#### Parameters

settings | a CamelIMAPXSettings |
filter_all | whether to apply filters in all folders |

Since: 3.4

### camel_imapx_settings_get_filter_junk ()

    gboolean
    camel_imapx_settings_get_filter_junk (CamelIMAPXSettings *settings);

Returns whether to automatically find and tag junk messages amongst new messages in all folders.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to filter junk in all folders

Since: 3.2

### camel_imapx_settings_set_filter_junk ()

    void
    camel_imapx_settings_set_filter_junk (CamelIMAPXSettings *settings,
                                          gboolean filter_junk);

Sets whether to automatically find and tag junk messages amongst new messages in all folders.

#### Parameters

settings | a CamelIMAPXSettings |
filter_junk | whether to filter junk in all folders |

Since: 3.2

### camel_imapx_settings_get_filter_junk_inbox ()

    gboolean
    camel_imapx_settings_get_filter_junk_inbox
                                   (CamelIMAPXSettings *settings);

Returns whether to automatically find and tag junk messages amongst new messages in the Inbox folder only.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to filter junk in Inbox only

Since: 3.2

### camel_imapx_settings_set_filter_junk_inbox ()

    void
    camel_imapx_settings_set_filter_junk_inbox
                                   (CamelIMAPXSettings *settings,
                                    gboolean filter_junk_inbox);

Sets whether to automatically find and tag junk messages amongst new messages in the Inbox folder only.

#### Parameters

settings | a CamelIMAPXSettings |
filter_junk_inbox | whether to filter junk in Inbox only |

Since: 3.2

### camel_imapx_settings_get_namespace ()

    const gchar *
    camel_imapx_settings_get_namespace (CamelIMAPXSettings *settings);

Returns the custom IMAP namespace in which to find folders.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

the custom IMAP namespace, or `NULL`.

[nullable]

Since: 3.2

### camel_imapx_settings_dup_namespace ()

    gchar *
    camel_imapx_settings_dup_namespace (CamelIMAPXSettings *settings);

Thread-safe variation of `camel_imapx_settings_get_namespace()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

a newly-allocated copy of “namespace”.

[nullable]

Since: 3.4

### camel_imapx_settings_set_namespace ()

    void
    camel_imapx_settings_set_namespace (CamelIMAPXSettings *settings,
                                        const gchar *namespace_);

Sets the custom IMAP namespace in which to find folders. If `namespace_` is `NULL`, the default namespace is used.

#### Parameters

settings | a CamelIMAPXSettings |
namespace_ | an IMAP namespace, or `NULL`. | [nullable]

Since: 3.2

### camel_imapx_settings_get_real_junk_path ()

    const gchar *
    camel_imapx_settings_get_real_junk_path
                                   (CamelIMAPXSettings *settings);

Returns the path to a real, non-virtual Junk folder to be used instead of Camel's standard virtual Junk folder.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

path to a real junk folder.

[nullable]

Since: 3.8

### camel_imapx_settings_dup_real_junk_path ()

    gchar *
    camel_imapx_settings_dup_real_junk_path
                                   (CamelIMAPXSettings *settings);

Thread-safe variation of `camel_imapx_settings_get_real_junk_path()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

a newly-allocated copy of “real-junk-path”.

[nullable]

Since: 3.8

### camel_imapx_settings_set_real_junk_path ()

    void
    camel_imapx_settings_set_real_junk_path
                                   (CamelIMAPXSettings *settings,
                                    const gchar *real_junk_path);

Sets the path to a real, non-virtual Junk folder to be used instead of Camel's standard virtual Junk folder.

#### Parameters

settings | a CamelIMAPXSettings |
real_junk_path | path to a real Junk folder, or `NULL`. | [nullable]

Since: 3.8

### camel_imapx_settings_get_real_trash_path ()

    const gchar *
    camel_imapx_settings_get_real_trash_path
                                   (CamelIMAPXSettings *settings);

Returns the path to a real, non-virtual Trash folder to be used instead of Camel's standard virtual Trash folder.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

path to a real Trash folder.

[nullable]

Since: 3.8

### camel_imapx_settings_dup_real_trash_path ()

    gchar *
    camel_imapx_settings_dup_real_trash_path
                                   (CamelIMAPXSettings *settings);

Thread-safe variation of `camel_imapx_settings_get_real_trash_path()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

a newly-allocated copy of “real-trash-path”.

[nullable]

Since: 3.8

### camel_imapx_settings_set_real_trash_path ()

    void
    camel_imapx_settings_set_real_trash_path
                                   (CamelIMAPXSettings *settings,
                                    const gchar *real_trash_path);

Sets the path to a real, non-virtual Trash folder to be used instead of Camel's standard virtual Trash folder.

#### Parameters

settings | a CamelIMAPXSettings |
real_trash_path | path to a real Trash folder, or `NULL`. | [nullable]

Since: 3.8

### camel_imapx_settings_get_shell_command ()

    const gchar *
    camel_imapx_settings_get_shell_command
                                   (CamelIMAPXSettings *settings);

Returns an optional shell command used to establish an input/output stream with an IMAP server. Normally the input/output stream is established through a network socket.

This option is useful only to a select few advanced users who likely administer their own IMAP server. Most users will not understand what this option menas or how to use it. Probably not worth exposing in a graphical interface.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

shell command for connecting to the server, or `NULL`.

[nullable]

Since: 3.2

### camel_imapx_settings_dup_shell_command ()

    gchar *
    camel_imapx_settings_dup_shell_command
                                   (CamelIMAPXSettings *settings);

Thread-safe variation of `camel_imapx_settings_get_shell_command()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

a newly-allocated copy of “shell-command”.

[nullable]

Since: 3.4

### camel_imapx_settings_set_shell_command ()

    void
    camel_imapx_settings_set_shell_command
                                   (CamelIMAPXSettings *settings,
                                    const gchar *shell_command);

Sets an optional shell command used to establish an input/output stream with an IMAP server. Normally the input/output stream is established through a network socket.

This option is useful only to a select few advanced users who likely administer their own IMAP server. Most users will not understand what this option means or how to use it. Probably not worth exposing in a graphical interface.

#### Parameters

settings | a CamelIMAPXSettings |
shell_command | shell command for connecting to the server, or `NULL`. | [nullable]

Since: 3.2

### camel_imapx_settings_get_use_idle ()

    gboolean
    camel_imapx_settings_get_use_idle (CamelIMAPXSettings *settings);

Returns whether to use the IMAP IDLE extension if the server supports it. See RFC 2177 for more details.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to use the IDLE extension

Since: 3.2

### camel_imapx_settings_set_use_idle ()

    void
    camel_imapx_settings_set_use_idle (CamelIMAPXSettings *settings,
                                       gboolean use_idle);

Sets whether to use the IMAP IDLE extension if the server supports it. See RFC 2177 for more details.

#### Parameters

settings | a CamelIMAPXSettings |
use_idle | whether to use the IDLE extension |

Since: 3.2

### camel_imapx_settings_get_use_namespace ()

    gboolean
    camel_imapx_settings_get_use_namespace
                                   (CamelIMAPXSettings *settings);

Returns whether to use a custom IMAP namespace to find folders. The namespace itself is given by the “namespace” property.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to use a custom IMAP namespace

Since: 3.2

### camel_imapx_settings_set_use_namespace ()

    void
    camel_imapx_settings_set_use_namespace
                                   (CamelIMAPXSettings *settings,
                                    gboolean use_namespace);

Sets whether to use a custom IMAP namespace to find folders. The namespace itself is given by the “namespace” property.

#### Parameters

settings | a CamelIMAPXSettings |
use_namespace | whether to use a custom IMAP namespace |

Since: 3.2

### camel_imapx_settings_get_ignore_other_users_namespace ()

    gboolean
    camel_imapx_settings_get_ignore_other_users_namespace
                                   (CamelIMAPXSettings *settings);

Returns whether to ignore namespace for other users.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to ignore namespace for other users

Since: 3.16

### camel_imapx_settings_set_ignore_other_users_namespace ()

    void
    camel_imapx_settings_set_ignore_other_users_namespace
                                   (CamelIMAPXSettings *settings,
                                    gboolean ignore);

Sets whether to ignore other users namespace.

#### Parameters

settings | a CamelIMAPXSettings |
ignore | whether to ignore the namespace |

Since: 3.16

### camel_imapx_settings_get_ignore_shared_folders_namespace ()

    gboolean
    camel_imapx_settings_get_ignore_shared_folders_namespace
                                   (CamelIMAPXSettings *settings);

Returns whether to ignore namespace for shared folders.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to ignore namespace for shared folders

Since: 3.16

### camel_imapx_settings_set_ignore_shared_folders_namespace ()

    void
    camel_imapx_settings_set_ignore_shared_folders_namespace
                                   (CamelIMAPXSettings *settings,
                                    gboolean ignore);

Sets whether to ignore shared folders namespace.

#### Parameters

settings | a CamelIMAPXSettings |
ignore | whether to ignore the namespace |

Since: 3.16

### camel_imapx_settings_get_use_qresync ()

    gboolean
    camel_imapx_settings_get_use_qresync (CamelIMAPXSettings *settings);

Returns whether to use the Quick Mailbox Resynchronization (QRESYNC) IMAP extension if the server supports it. See RFC 5162 for more details.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to use the QRESYNC extension

Since: 3.2

### camel_imapx_settings_set_use_qresync ()

    void
    camel_imapx_settings_set_use_qresync (CamelIMAPXSettings *settings,
                                          gboolean use_qresync);

Sets whether to use the Quick Mailbox Resynchronization (QRESYNC) IMAP extension if the server supports it. See RFC 5162 for more details.

#### Parameters

settings | a CamelIMAPXSettings |
use_qresync | whether to use the QRESYNC extension |

Since: 3.2

### camel_imapx_settings_get_use_real_junk_path ()

    gboolean
    camel_imapx_settings_get_use_real_junk_path
                                   (CamelIMAPXSettings *settings);

Returns whether to use a real, non-virtual Junk folder instead of Camel's standard virtual Junk folder.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to use a real Junk folder

Since: 3.8

### camel_imapx_settings_set_use_real_junk_path ()

    void
    camel_imapx_settings_set_use_real_junk_path
                                   (CamelIMAPXSettings *settings,
                                    gboolean use_real_junk_path);

Sets whether to use a real, non-virtual Junk folder instead of Camel's standard virtual Junk folder.

#### Parameters

settings | a CamelIMAPXSettings |
use_real_junk_path | whether to use a real Junk folder |

Since: 3.8

### camel_imapx_settings_get_use_real_trash_path ()

    gboolean
    camel_imapx_settings_get_use_real_trash_path
                                   (CamelIMAPXSettings *settings);

Returns whether to use a real, non-virtual Trash folder instead of Camel's standard virtual Trash folder.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to use a real Trash folder

Since: 3.8

### camel_imapx_settings_set_use_real_trash_path ()

    void
    camel_imapx_settings_set_use_real_trash_path
                                   (CamelIMAPXSettings *settings,
                                    gboolean use_real_trash_path);

Sets whether to use a real, non-virtual Trash folder instead of Camel's standard virtual Trash folder.

#### Parameters

settings | a CamelIMAPXSettings |
use_real_trash_path | whether to use a real Trash folder |

Since: 3.8

### camel_imapx_settings_get_use_shell_command ()

    gboolean
    camel_imapx_settings_get_use_shell_command
                                   (CamelIMAPXSettings *settings);

Returns whether to use a custom shell command to establish an input/output stream with an IMAP server, instead of the more common method of opening a network socket. The shell command itself is given by the “shell-command” property.

This option is useful only to a select few advanced users who likely administer their own IMAP server. Most users will not understand what this option means or how to use it. Probably not worth exposing in a graphical interface.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to use a custom shell command to connect to the server

Since: 3.2

### camel_imapx_settings_set_use_shell_command ()

    void
    camel_imapx_settings_set_use_shell_command
                                   (CamelIMAPXSettings *settings,
                                    gboolean use_shell_command);

Sets whether to use a custom shell command to establish an input/output stream with an IMAP server, instead of the more common method of opening a network socket. The shell command itself is given by the “shell-command” property.

This option is useful only to a select few advanced users who likely administer their own IMAP server. Most users will not understand what this option means or how to use it. Probably not worth exposing in a graphical interface.

#### Parameters

settings | a CamelIMAPXSettings |
use_shell_command | whether to use a custom shell command to connect to the server |

Since: 3.2

### camel_imapx_settings_get_use_subscriptions ()

    gboolean
    camel_imapx_settings_get_use_subscriptions
                                   (CamelIMAPXSettings *settings);

Returns whether to list and operate only on subscribed folders, or to list and operate on all available folders regardless of subscriptions.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to honor folder subscriptions

Since: 3.2

### camel_imapx_settings_set_use_subscriptions ()

    void
    camel_imapx_settings_set_use_subscriptions
                                   (CamelIMAPXSettings *settings,
                                    gboolean use_subscriptions);

Sets whether to list and operate only on subscribed folders, or to list and operate on all available folders regardless of subscriptions.

#### Parameters

settings | a CamelIMAPXSettings |
use_subscriptions | whether to honor folder subscriptions |

Since: 3.2

### camel_imapx_settings_get_full_update_on_metered_network ()

    gboolean
    camel_imapx_settings_get_full_update_on_metered_network
                                   (CamelIMAPXSettings *settings);

Returns whether to allow full folder update on metered network. With this off the folder update skips updates of the known messages, which can lead to not removing removed messages or not updating flags of the old messages. The option is meant to save bandwidth usage on the metered network.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to allow full folder update on metered network

Since: 3.34

### camel_imapx_settings_set_full_update_on_metered_network ()

    void
    camel_imapx_settings_set_full_update_on_metered_network
                                   (CamelIMAPXSettings *settings,
                                    gboolean full_update_on_metered_network);

Sets whether to allow full folder update on metered network.

#### Parameters

settings | a CamelIMAPXSettings |
full_update_on_metered_network | whether to allow it |

Since: 3.34

### camel_imapx_settings_get_send_client_id ()

    gboolean
    camel_imapx_settings_get_send_client_id
                                   (CamelIMAPXSettings *settings);

Returns whether to send client ID to the server, using the 'ID' extension (RFC 2971).

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to send client ID to the server

Since: 3.44

### camel_imapx_settings_set_send_client_id ()

    void
    camel_imapx_settings_set_send_client_id
                                   (CamelIMAPXSettings *settings,
                                    gboolean send_client_id);

Sets whether to send client ID to the server, using the 'ID' extension (RFC 2971).

#### Parameters

settings | a CamelIMAPXSettings |
send_client_id | whether to send client ID to the server |

Since: 3.44

### camel_imapx_settings_get_single_client_mode ()

    gboolean
    camel_imapx_settings_get_single_client_mode
                                   (CamelIMAPXSettings *settings);

Returns whether using single client mode. That is, the full folder refresh flags are done only once per day, not on each folder refresh.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether the single client mode is enabled

Since: 3.50

### camel_imapx_settings_set_single_client_mode ()

    void
    camel_imapx_settings_set_single_client_mode
                                   (CamelIMAPXSettings *settings,
                                    gboolean single_client_mode);

Sets whether to use a single client mode. See `camel_imapx_settings_get_single_client_mode()` for an explanation what it means.

#### Parameters

settings | a CamelIMAPXSettings |
single_client_mode | value to set |

Since: 3.50

## Property Details

### The `“check-all”` property

      “check-all”                gboolean

Check all folders for new messages.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“check-subscribed”` property

      “check-subscribed”         gboolean

Check only subscribed folders for new messages.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“concurrent-connections”` property

      “concurrent-connections”   guint

Number of concurrent IMAP connections to use.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Allowed values: [1,7]

Default value: 3

### The `“fetch-order”` property

      “fetch-order”              CamelSortType

Order in which new messages should be fetched.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: CAMEL_SORT_ASCENDING

### The `“filter-all”` property

      “filter-all”               gboolean

Whether to apply filters in all folders.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“filter-junk”` property

      “filter-junk”              gboolean

Whether to filter junk from all folders.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“filter-junk-inbox”` property

      “filter-junk-inbox”        gboolean

Whether to filter junk from Inbox only.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“full-update-on-metered-network”` property

      “full-update-on-metered-network” gboolean

Whether can do full folder update even on metered network.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: TRUE

### The `“ignore-other-users-namespace”` property

      “ignore-other-users-namespace” gboolean

Whether to ignore other users namespace.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“ignore-shared-folders-namespace”` property

      “ignore-shared-folders-namespace” gboolean

Whether to ignore shared folders namespace.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“namespace”` property

      “namespace”                char *

Custom IMAP namespace.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: NULL

### The `“real-junk-path”` property

      “real-junk-path”           char *

Path for a non-virtual Junk folder.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: NULL

### The `“real-trash-path”` property

      “real-trash-path”          char *

Path for a non-virtual Trash folder.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: NULL

### The `“send-client-id”` property

      “send-client-id”           gboolean

Whether to send client ID to the server.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“shell-command”` property

      “shell-command”            char *

Shell command for connecting to the server.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: "ssh -C -l %u %h exec /usr/sbin/imapd"

### The `“single-client-mode”` property

      “single-client-mode”       gboolean

When set to true, does full folder flags refresh only once per day.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-idle”` property

      “use-idle”                 gboolean

Whether to use the IDLE IMAP extension.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: TRUE

### The `“use-multi-fetch”` property

      “use-multi-fetch”          gboolean

Whether allow downloading of large messages in chunks.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-namespace”` property

      “use-namespace”            gboolean

Whether to use a custom IMAP namespace.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-qresync”` property

      “use-qresync”              gboolean

Whether to use the QRESYNC IMAP extension.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-real-junk-path”` property

      “use-real-junk-path”       gboolean

Whether to use a non-virtual Junk folder.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-real-trash-path”` property

      “use-real-trash-path”      gboolean

Whether to use a non-virtual Trash folder.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-shell-command”` property

      “use-shell-command”        gboolean

Whether to use a custom shellcommand to connect to the server.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-subscriptions”` property

      “use-subscriptions”        gboolean

Whether to honor folder subscriptions.

Owner: CamelIMAPXSettings

Flags: Read / Write / Construct

Default value: FALSE